version: '3'

services:
  os:
    build:
      context: .
      dockerfile: Dockerfile
    container_name: docker_was
    ports:
      - "2114:22"  # SSH
      - "8080:8080"  # tomcat
      - "4333:443" #https
    network_mode: bridge
    restart: always
    volumes:
      - wasconfig:/usr/local/tomcat/conf
      - wardata:/app
volumes:
    wasconfig:
      external: true
    wardata:
      external: true
